Name:           joblib
Version:        1.0.1
Release:        1
Summary:        Lightweight pipelining: using Python functions as pipeline jobs
License:        BSD
URL:            https://joblib.readthedocs.io
Source0:        https://files.pythonhosted.org/packages/source/j/joblib/joblib-%{version}.tar.gz
BuildArch:      noarch

%define python3_sitearch %(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

%global _description %{expand:
Joblib is a set of tools to provide lightweight pipelining in Python.
In particular, joblib offers:
 * transparent disk-caching of the output values and lazy
   re-evaluation (memorize pattern)
 * easy simple parallel computing
 * logging and tracing of the execution}

BuildRequires:  python3-devel >= 3.7.11
BuildRequires:  python3-Cython >= 0.29.24

%description %{_description}

%package -n python3-%{name}
Summary:       %{summary}
Requires:      python3 >= 3.7.11

%description -n python3-%{name} %{_description}

%prep
%autosetup -n %{name}-%{version} -p1


%build
export PATH=/opt/freeware/bin:$PATH

python3 setup.py build

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

python3 setup.py install --root %{buildroot} 


%clean 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files -n python3-%{name}
%defattr(-,root,system,-)
%license LICENSE.txt
%doc README.rst
%{python3_sitearch}/%{name}
%{python3_sitearch}/%{name}-*.egg-info


%changelog
* Thu Sep 16 2021 Ayappan P <ayappap2@in.ibm.com> - 1.0.1-1
- First port of joblib to AIX Toolbox
